Package org.eclipse.ui.texteditor

# Class DocumentProviderRegistry

java.lang.Object
org.eclipse.ui.texteditor.DocumentProviderRegistry

public class DocumentProviderRegistry extends Object
This registry manages shared document providers. Document providers are specified in `plugin.xml` either per name extension or per editor input type. A name extension rule always overrules an editor input type rule. Editor input type rules follow the same rules `IAdapterManager` used to find object adapters.

See Also:
  - `IAdapterManager`
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Method Summary

Modifier and Type
Method
Description
`static DocumentProviderRegistry`
`getDefault()`
Returns the standard document provider registry.
`IDocumentProvider`
`getDocumentProvider(String extension)`
Returns a shared document provider for the given name extension.
`IDocumentProvider`
`getDocumentProvider(IEditorInput editorInput)`
Returns the shared document for the type of the given editor input.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getDefault

public static DocumentProviderRegistry getDefault()
Returns the standard document provider registry.

Returns:
  the default document provider registry

### getDocumentProvider

public IDocumentProvider getDocumentProvider(String extension)
Returns a shared document provider for the given name extension.

Parameters:
  `extension` - the name extension to be used for lookup
Returns:
  the shared document provider or `null`

### getDocumentProvider

public IDocumentProvider getDocumentProvider(IEditorInput editorInput)
Returns the shared document for the type of the given editor input.

Parameters:
  `editorInput` - the input for whose type the provider is looked up
Returns:
  the shared document provider